<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Processing and Visualization Tools for United Nations Migration Data Data • untools</title>
<!-- favicons --><link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
<link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
<link rel="apple-touch-icon" type="image/png" sizes="180x180" href="apple-touch-icon.png">
<link rel="apple-touch-icon" type="image/png" sizes="120x120" href="apple-touch-icon-120x120.png">
<link rel="apple-touch-icon" type="image/png" sizes="76x76" href="apple-touch-icon-76x76.png">
<link rel="apple-touch-icon" type="image/png" sizes="60x60" href="apple-touch-icon-60x60.png">
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script><!-- Bootstrap --><link href="https://cdnjs.cloudflare.com/ajax/libs/bootswatch/3.3.7/flatly/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script><!-- sticky kit --><script src="https://cdnjs.cloudflare.com/ajax/libs/sticky-kit/1.1.3/sticky-kit.min.js" integrity="sha256-c4Rlo1ZozqTPE2RLuvbusY3+SU1pQaJC0TjuhygMipw=" crossorigin="anonymous"></script><!-- pkgdown --><link href="pkgdown.css" rel="stylesheet">
<script src="pkgdown.js"></script><meta property="og:title" content="Processing and Visualization Tools for United Nations Migration Data Data">
<meta property="og:description" content="This package provides function to assist with acquisition, processing, and visualizing
    United Nations High Commissioner on Refugees Time Series and United Nations Migrant Stock: 2017
    Revision datasets. ">
<meta property="og:image" content="/logo.png">
<meta name="twitter:card" content="summary">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="index.html">untools</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.1.0</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="index.html">
    <span class="fa fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="articles/explore-unhcr.html">Exploring United Nations Refugee &amp; Asylum Data With the *untools* Package</a>
    </li>
    <li>
      <a href="articles/explore-unstocks.html">Exploring United Nations Migrant Stock Data With the *untools* Package</a>
    </li>
  </ul>
</li>
<li>
  <a href="news/index.html">Changelog</a>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right">
<li>
  <a href="https://gitlab.com/dante-sttr/untools">
    <span class="fa fa-gitlab fa-lg"></span>
     
  </a>
</li>
      </ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      
      </header><div class="row">
  <div class="col-md-9 contents">
    

    
    
<!-- README.md is generated from README.Rmd. Please edit that file -->
<div id="untools" class="section level1">
<div class="page-header"><h1 class="hasAnchor">
<a href="#untools" class="anchor"></a>untools <img src="reference/figures/logo.png" align="right" width="120">
</h1></div>
<p>The <code>untools</code> package provides a suite of tools to facilitate acquiring, processing, and visualizing <a href="https://www.unhcr.org/ph/persons-concern-unhcr">United Nations Persons of Concern</a> and <a href="https://www.un.org/en/development/desa/population/migration/data/estimates2/estimates17.asp">Migrant Stock</a> datasets.</p>
<p>This welcome page presents a brief introduction to the <code>untools</code> package. For more detailed information and reference materials for <code>untools</code> please refer to:</p>
<ul>
<li><a href="https://dante-sttr.gitlab.io/untools/index.html"><em>untools</em> Reference Manual</a></li>
<li><a href="https://dante-sttr.gitlab.io/untools/articles/explore-unhcr.html">Exploring United Nations Refugee &amp; Asylum Data With the <em>untools</em> Package</a></li>
<li><a href="https://dante-sttr.gitlab.io/untools/articles/explore-unstocks.html">Exploring United Nations Migrant Stock Data With the <em>untools</em> Package</a></li>
</ul>
</div>
<div id="installation" class="section level1">
<h1 class="hasAnchor">
<a href="#installation" class="anchor"></a>Installation</h1>
<p>You can install the released version of untools from <a href="https://https://gitlab.com/dante-sttr/untools">GitLab</a> with:</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb1-1" data-line-number="1">devtools<span class="op">::</span><span class="kw"><a href="https://www.rdocumentation.org/packages/devtools/topics/reexports">install_gitlab</a></span>(<span class="st">"/dante-sttr/untools"</span>)</a></code></pre></div>
<p>The following presents a brief introduction to the <code>untools</code> package. For more detailed information, reference materials, and vignettes for <code>untools</code> please refer to:</p>
<ul>
<li><a href="https://dante-sttr.gitlab.io/untools/index.html">untools Reference Manual</a></li>
<li><a href="https://dante-sttr.gitlab.io/untools/articles/explore-unhcr.html">Exploring United Nations Refugee &amp; Asylum Data With the untools Package</a></li>
</ul>
</div>
<div id="usage" class="section level1">
<h1 class="hasAnchor">
<a href="#usage" class="anchor"></a>Usage</h1>
<p>Read in the United Nations Migrant Stock (2017 Revision) data with the <code>getunstock17</code> function. This function will automatically parse the spreadsheet and provide simple formatting and processing.</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb2-1" data-line-number="1"><span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/library">library</a></span>(untools)</a>
<a class="sourceLine" id="cb2-2" data-line-number="2"></a>
<a class="sourceLine" id="cb2-3" data-line-number="3">stocks17&lt;-<span class="kw"><a href="reference/getunstock17.html">getunstock17</a></span>()</a></code></pre></div>
<table class="table table">
<thead><tr>
<th style="text-align:left;">
host_iso
</th>
<th style="text-align:left;">
stock_iso
</th>
<th style="text-align:right;">
year
</th>
<th style="text-align:right;">
value
</th>
<th style="text-align:left;">
host
</th>
<th style="text-align:left;">
stock
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
1990
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
1995
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2000
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2005
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2010
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2015
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
ALB
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2017
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Albania
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
DZA
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
1990
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Algeria
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
DZA
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
1995
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Algeria
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
DZA
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:right;">
2000
</td>
<td style="text-align:right;">
0
</td>
<td style="text-align:left;">
Algeria
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
</tbody>
</table>
<p>Plot a time series of the top migrant stock populations in the United States using the ISO3 character code.</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb3-1" data-line-number="1">usa.stocks.ts&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(stocks17, <span class="dt">country =</span> <span class="st">"USA"</span>)</a></code></pre></div>
<p><img src="reference/figures/README-unnamed-chunk-3-1.png" width="100%"></p>
<p>Or view a barplot of only the year 2000.</p>
<div class="sourceCode" id="cb4"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb4-1" data-line-number="1">usa.stocks.static&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(stocks17, <span class="dt">country =</span> <span class="st">"USA"</span>, <span class="dt">mode =</span> <span class="st">'static'</span>, <span class="dt">yr=</span><span class="dv">2005</span>)</a></code></pre></div>
<p><img src="reference/figures/README-unnamed-chunk-4-1.png" width="100%"></p>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
    <div class="license">
<h2>License</h2>
<ul class="list-unstyled">
<li><a href="https://www.r-project.org/Licenses/GPL-3">GPL-3</a></li>
</ul>
</div>
<div class="developers">
<h2>Developers</h2>
<ul class="list-unstyled">
<li>Joshua Brinks <br><small class="roles"> Author, maintainer </small>  </li>
</ul>
</div>

      </div>

</div>


      <footer><div class="copyright">
  <p>Developed by Joshua Brinks.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.3.0.</p>
</div>
      </footer>
</div>

  

  </body>
</html>
